### Constructor

# GtkVnc CairoFramebuffer new

#### Declaration [src]

    VncCairoFramebuffer*
    vnc_cairo_framebuffer_new (
      guint16 width,
      guint16 height,
      const VncPixelFormat* remoteFormat
    )

#### Description [src]

Allocate a new framebuffer object which will render the remote desktop into a cairo image surface (`width` * `height`) in size.

#### Parameters

`width`

  Type: `guint16`

  The remote desktop width.

`height`

  Type: `guint16`

  The remote desktop height.

`remoteFormat`

  Type: `VncPixelFormat`

  The remote pixel format.

  The data is owned by the caller of the function.

#### Return value

Type: `VncCairoFramebuffer`

The new frame buffer object.

The caller of the function takes ownership of the data, and is responsible for freeing it.